org.keycloak.authentication.requiredactions.util

## Interface UpdateProfileContext

- All Known Implementing Classes:
    SerializedBrokeredIdentityContext, UserUpdateProfileContext

      public interface UpdateProfileContext

  Abstraction, which allows to display updateProfile page in various contexts (Required action of already existing user, or first identity provider login when user doesn't yet exists in Keycloak DB)
  Author:
    Marek Posolda

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `default List<String>` | `getAttribute(String key)` Deprecated. Use `getAttributeStream` instead.
    `Map<String,List<String>>` | `getAttributes()`
    `Stream<String>` | `getAttributeStream(String name)` Obtains all values associated with the specified attribute name.
    `String` | `getEmail()`
    `String` | `getFirstAttribute(String name)`
    `String` | `getFirstName()`
    `String` | `getLastName()`
    `String` | `getUsername()`
    `boolean` | `isEditUsernameAllowed()`
    `void` | `setAttribute(String key, List<String> value)`
    `void` | `setEmail(String email)`
    `void` | `setFirstName(String firstName)`
    `void` | `setLastName(String lastName)`
    `void` | `setSingleAttribute(String name, String value)`
    `void` | `setUsername(String username)`

- - ### Method Detail

    - #### isEditUsernameAllowed

          boolean isEditUsernameAllowed()

    - #### getUsername

          String getUsername()

    - #### setUsername

          void setUsername(String username)

    - #### getEmail

          String getEmail()

    - #### setEmail

          void setEmail(String email)

    - #### getFirstName

          String getFirstName()

    - #### setFirstName

          void setFirstName(String firstName)

    - #### getLastName

          String getLastName()

    - #### setLastName

          void setLastName(String lastName)

    - #### getAttributes

          Map<String,List<String>> getAttributes()

    - #### setSingleAttribute

          void setSingleAttribute(String name,
                                  String value)

    - #### setAttribute

          void setAttribute(String key,
                            List<String> value)

    - #### getFirstAttribute

          String getFirstAttribute(String name)

    - #### getAttribute

          @Deprecated
          default List<String> getAttribute(String key)

      Deprecated. Use `getAttributeStream` instead.

    - #### getAttributeStream

          Stream<String> getAttributeStream(String name)

      Obtains all values associated with the specified attribute name.
      Parameters:
        `name` - the name of the attribute.
      Returns:
        a non-null `Stream` of attribute values.

Copyright © 2020 JBoss by Red Hat. All rights reserved.